namespace Myhm.Data
{
    public class MyhmConfiguration
    {
        public required string AuthToken { get; init; }
        public required string DatabaseConnectionString { get; init; }
        public required DatabaseTypes DatabaseType { get; init; }
        public bool UseSentry { get; init; } = true;
        public bool UseSwagger { get; init; } = true;
        public bool LogRequests { get; init; } = true;
    }

    public enum DatabaseTypes
    {
        PostgresSQL,
    }
}
